## getFramesPerSecond

### Syntax:

    getFramesPerSecond ();

### Purpose:

Calculate the frame rate which your game is currently achieving.

### Return value:

The return value is the number of frames which passed during the last second. Ideally this should be the FPS value resulting from the frame speed that was entered in the SLUDGE Project Manager's "Project Settings" dialog box. If it's below this value, the machine isn't running your game at the correct speed, possibly because you're using too high a resolution or too high a Frames/sec value or too many processor-intensive graphical effects such as parallax scrolling or anti-aliasing.

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012